package com.example.module.admin.req;

import com.example.frame.base.BaseUpdateRequest;
import javax.validation.constraints.NotNull;
import org.hibernate.validator.constraints.Length;
import javax.validation.constraints.NotEmpty;

/**
 * MappingUpdateRequest - 映射更新
 *
 * @author author
 * @version 0.0.1
 * @since 2019-09-28
 */
public class  MappingUpdateRequest extends BaseUpdateRequest {

    /**
     * 主键
     */
    @NotNull(message = "主键不能为NULL")
    private Long id;

    /**
     * 用户名
     */
    @Length(min = 0, max = 100, message = "用户名长度不合法(0-100)")
    private String username;

    /**
     * 用户密码
     */
    @Length(min = 0, max = 100, message = "用户密码长度不合法(0-100)")
    private String password;

    public Long getId() {
        return this.id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getUsername() {
        return this.username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getPassword() {
        return this.password;
    }

    public void setPassword(String password) {
        this.password = password;
    }
}
